console-data (2:1.12-6) unstable; urgency=medium

  * Drop Christian Perrier as Uploader. Closes: #894485
  * Drop B-D on automake, autotools-dev. Unnecessary for COMPAT=9
  * Use ${Built-Using} in Built-Using field. Closes: #752109
  * Ack rebuild. Closes: #789398
  * Now use debhelper 10
  * Standards-Version: 4.1.4
  * Drop Priority: extra's
  * Add VCS salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 14:31:49 +0100

console-data (2:1.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid creating bogus keymaps under some locales.
    Some locales trick `grep` into thinking the origin file as "binary"; force
    it to parse it as "text".  Closes: #799871
    Thanks to Chris Lamb <lamby@debian.org> for the patch
  * Avoid storing build timestamps inside some keymap files.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Aug 2017 15:50:16 +0200

console-data (2:1.12-5) unstable; urgency=medium

  * Use Built-Using: properly. Thanks to Paul Wise.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Jun 2014 18:42:15 +0100

console-data (2:1.12-4) unstable; urgency=medium

  * Build against unicode-data 7.0. Closes: #751870.
  * Move to Standards-Version: 3.9.5
  * Remove references to console-tools, which has been removed from  debian.
    Closes: #732270.
  * Add Built-Using: ref to unicode-data.
  * Now use debhelper compat level 9.
  * Add Uighir tranlation from  Gheyret Tohti. Closes: #627008.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Jun 2014 11:21:30 +0100

console-data (2:1.12-3) unstable; urgency=low

  * Build-Depend on automake instead of automake1.9
  * Use Package-Type instead of XC-Package-Type
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 Oct 2013 07:38:03 +0200

console-data (2:1.12-2) unstable; urgency=low

  * Icelandic debconf translation updated
  * Vietnamese debconf translation updated

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 May 2012 10:23:22 +0200

console-data (2:1.12-1) unstable; urgency=low

  * New upstream release. Fix Icelandic keymap.
    Thanks to Bjarni Ingi Gislason for the patch
    Closes: #650591
  * No longer mention Agafari console fonts in debian/copyright.
    The font is not included in upstream source.
    Closes: #632235
  * Use "sr" for Serbian instead of "sr-cy". Even for Serbian (Latin)
    Do my best to avoid fuzzying translations (it's easy to drop the
    'cyrillic' part in PO files)
    Closes: #636812
  * Rename console-data.copyright to copyright
  * Bump debhelper compatibility to 8
  * Bump standards to 3.9.2
  * Debconf translations:
    - Sinhala; (Danishka Navin).  Closes: #640756, #640762

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 15:38:14 +0100

console-data (2:1.11-1) unstable; urgency=low

  * New upstream release. Add Kazakh keymap
    Closes: #609233
  * Fix debconf translation encoding for Hebrew
  * Debconf translation updates:
    - Serbian (Latin).  Closes: #600122
    - Nepali (Mahesh Subedi).  Closes: #614690

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Feb 2011 20:08:11 +0100

console-data (2:1.10-9) unstable; urgency=low

  * Debconf translation updates:
    - Greek.  Closes: #604446

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2010 09:09:13 +0100

console-data (2:1.10-8) unstable; urgency=low

  * Merge translations from console-setup (still giving priority
    to existing translations)

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Nov 2010 13:02:59 +0100

console-data (2:1.10-7) unstable; urgency=low

  * Debconf translation updates:
    - Polish (Marcin Owsiany).  Closes: #604179

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Nov 2010 08:03:08 +0100

console-data (2:1.10-6) unstable; urgency=low

  * Debconf translation updates:
    - Polish (Marcin Owsiany).  Closes: #595620
    - Malayalam (Saji Nediyanchath).
    - Icelandic (Sveinn í Felli).
    - Serbian (Karolina Kalic).  Closes: #600121

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Oct 2010 21:59:26 +0200

console-data (2:1.10-5) unstable; urgency=low

  * Spanish (Javier Fernández-Sanguino).  Closes: #592188
  * Arabic (Ossama M. Khayat).  Closes: #592949

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Sep 2010 12:09:26 +0200

console-data (2:1.10-4) unstable; urgency=low

  * Debconf translation updates:
    - Romanian (Eddy Petrișor).  Closes: #582543
    - Georgian (Aiet Kolkhi).
    - Khmer (Khoem Sokhem).
    - Brazilian Portuguese (Dennis Fernandes Vieira). 
    - Persian added (Vahid Ghaderi).  Closes: #587009
    - Kazakh (Baurzhan Muftakhidinov).  Closes: #587099
    - Dzongkha (yumkee).
    - Galician (IDF).  Closes: #587787
    - Bosnian (Armin Beširović).
    - Croatian (Josip Rodin).
  * Use "croat" keymap for Serbian (Latin)
  * Set default layout for Guernsey, Jersey, and the Isle of Man to uk
    (change in line with similar change in console-setup)
  * Update Standards to 3.9.1 (checked)

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Jul 2010 23:07:53 +0200

console-data (2:1.10-3) unstable; urgency=low

  * Debconf translation updates:
    - Traditional Chinese (Tetralet).  Closes: #564043
    - Bengali (Israt Jahan).
    - Hebrew (Lior Kaplan).  Closes: #570261
    - Gujarati (Kartik Mistry).  Closes: #571592
  * Update Standards to 3.8.4 (no change)

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Feb 2010 22:06:08 +0100

console-data (2:1.10-2) unstable; urgency=low

  * Debconf translation updates:
    - Simplified Chinese (苏运强).

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Dec 2009 17:53:37 +0100

console-data (2:1.10-1) unstable; urgency=low

  * New upstream release. It adds handling for keycode 97
    on br-abnt2 keyboards for Thinkpads
    Closes: #530314
  * Use Swiss German keymap as default when using
    German/Liechtenstein language/country combination
    Thanks to Frans Pop for the patch and to Josef Vogt
    for reporting. Closes: #560107

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 Dec 2009 06:42:23 +0100

console-data (2:1.09-3) unstable; urgency=low

  * Switch to 3.0 (quilt) source format
  * Bump debhelper compatibility level to 7
  * Update Standards to 3.8.2 (checked, no change)
  * Bulgarian (Damyan Ivanov).  Closes: #558007

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Nov 2009 22:46:45 +0100

console-data (2:1.09-2) unstable; urgency=low

  * Debconf translation updates:
    - Telugu. Closes: #536859
  * Update Standards to 3.8.2 (checked, no change)
  * Drop obsolete debian/attic directory. Closes: #537214
  * Rebuild with new dh-consoledata to avoid having a call
    to obsolete "dpkg --print-installation-architecture"
    Closes: #537215

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 Jul 2009 22:19:45 +0200

console-data (2:1.09-1) unstable; urgency=low

  * New upstream release. Fixes:
    - Add Kirghiz keymap. Closes: #527565
  * Build-Depend on autotools-dev so that config.{sub|guess} are
    really updated by cdbs
  * Add Kirghiz keymap to udeb debconf templates and map it in the udeb
    for Kirghiz language
  * Update copyright to properly refer to GPL-2
  * Update Standards to 3.8.1 (checked, no change)
  * No longer ignore errors in postinst script
  * Debconf translation updates:
    - Slovak. Closes: #528008
    - Asturian. Closes: #528036
    - Basque. Closes: #528751

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 May 2009 19:47:39 +0200

console-data (2:1.08a-1) unstable; urgency=low

  * New upstream bugfix release. Fixes:
    - Incorrect statements in linux-keys-bare.inc. Closes: #517349

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Feb 2009 19:37:11 +0100

console-data (2:1.08-1) unstable; urgency=low

  * New upstream release. Fixes:
    - Add French "bepo" Dvorak keymaps. Closes: #514906
    - Add dvorak-uk keymap. Closes: #495634
    - Fix 0x7f in koi8-r.acm. Closes: #511249
    - Really add Braille fonts and lat9wbrl.uni files
      Closes: #356631
    - PrtScr no longer sends SIGQUIT. Closes: #501590
    - Fix lat1-12.psf. Closes: #501470
  * Default to Spanish keymap for Asturian in the udeb
  * Debconf translation updates:
    - Asturian added. Closes: #511140
    - Kazakh added. Closes: #514591
    - Galician updated. Closes: #516917
  * Drop unused keymaps from the udeb. Closes: #494088
  * Consistency in poposed keymap names for udebs. Closes: #475804.
    Relevant changes:
    - Drop fr-latin1 as proposed choice in console-keymaps-acorn.templates
    - Drop mac-usb-de-latin1 as proposed choice in
      console-keymaps-usb.templates. The remaining proposed keymap is
      mac-usb-de-latin1-nodeadkeys and is now "translated" as "German"
      for consistency with console-keymaps-at
    - Drop "(amiga)" in Amiga keymap names. They're proposed only for Amigas
      anyway.
    - Ditto for Atari keymaps
    - Drop "(type 5)" mentions for Sun keymaps except when "type 4" also
      exists

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 Feb 2009 22:17:09 +0100

console-data (2:1.07-11) unstable; urgency=low

  * Debconf translation updates:
    - Danish corrected

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Oct 2008 07:53:04 +0200

console-data (2:1.07-10) unstable; urgency=low

  * Revert the default keymap in D-I for fr_CA to cf
    Closes: #499207

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Sep 2008 08:17:43 +0200

console-data (2:1.07-9) unstable; urgency=low

  * Debconf translation updates:
    - German corrected. Closes: #499122

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Sep 2008 19:45:26 +0200

console-data (2:1.07-8) unstable; urgency=low

  * Debconf translation updates: 
    - Norwegian Nynorsk. Closes: #498959

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Sep 2008 19:59:35 +0200

console-data (2:1.07-7) unstable; urgency=low

  * Debconf translation updates: 
    - Wolof. Closes: #497553
    - Indonesian.
    - Georgian. Closes: #498417

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Sep 2008 05:21:31 +0200

console-data (2:1.07-6) unstable; urgency=low

  * Debconf translation updates: 
    - Marathi
    - Brazilian Portuguese
    - Croatian
    - Bengali
    - Danish
    - Hindi
    - Ukrainian
    - Irish
    - Khmer
    - Kurdish
  * Use US keymap as default for Malayalam, Kannada, Punjabi, Gujarati,
    Dzongkha, Nepali. Closes: #496280

 -- Christian Perrier <bubulle@debian.org>  Sun, 31 Aug 2008 18:15:44 +0200

console-data (2:1.07-5) unstable; urgency=low

  * Debconf translation updates:
    - Dzongkha.
    - Esperanto. Closes: #488423
    - Tagalog. Closes: #488483
    - Traditional Chinese
    - Norwegian Bokmål. Closes: #488539
    - Polish. Closes: #488783
    - Albanian. Closes: #480279

 -- Christian Perrier <bubulle@debian.org>  Sun, 06 Jul 2008 07:18:07 +0200

console-data (2:1.07-4) unstable; urgency=low

  * Add th-tis (Thai) keymap to choices. Closes: #484793
  * Update to Standards 3.8.0 (checked)
  * Debconf translation updates:
    - Irish. Closes: #480735
    - Belarusian. Closes: #483523, #485016
    - Swedish. Closes: #482460, #484793
    - Turkish. Closes: #482560
    - Slovak. Closes: #484558
    - Spanish
    - Slovenian
    - French
    - Hebrew. Closes: #484831
    - Finnish. Closes: #484839
    - Bulgarian. Closes: #484843
    - German. Closes: #484851
    - Thai. Closes: #484863
    - Simplified Chinese. Closes: #484865
    - Japanese
    - Hungarian. Closes: #484884
    - Portuguese. Closes: #484933
    - Greek. Closes: #485084
    - Korean. Closes: #485148
    - Galician. Closes: #485222
    - Vietnamese. Closes: #485400, #485401
    - Lithuanian. Closes: #485575
    - Russian. Closes: #485649
    - Basque. Closes: #485680
    - Italian. Closes: #485788
    - Arabic. Closes: #485862
    - Macedonian. Closes: #485992
    - English "translation" removed as useless now
    - Gujarati. Closes: #486077
    - Malayalam. Closes: #486086
    - Romanian. Closes: #486133
    - Czech. Closes: #486232
    - Turkish. Closes: #486301
    - Catalan. Closes: #486421
    - Dutch. Closes: #486445
    - Slovak. Closes: #487207

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Jun 2008 20:06:59 +0200

console-data (2:1.07-3) unstable; urgency=low

  * Debconf translation updates:
    - Polish. Closes: #478031
  * Revert to US keymap as default for en_CA locales in the udeb
    Closes: #475482

 -- Christian Perrier <bubulle@debian.org>  Sat, 26 Apr 2008 16:31:13 +0200

console-data (2:1.07-2) unstable; urgency=low

  * Brown-paper bag release
  * Re-insert debconf template type in debconf templates. Closes: #475923

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 Apr 2008 09:05:45 +0200

console-data (2:1.07-1) unstable; urgency=low

  * The "Pop-2" release
  * New upstream release (only cleaning out the .orig.tar.gz tarball,
    no functional change)
  * Remove debian/substvars on cleanup
  * Now use keymap names instead of keymap codes for choices
    Giant thanks to Frans Pop for the perfect work on the switch patch
    Closes: #471523
  * Debconf translation updates:
    - Esperanto. Closes: #472415
    - Vietnamese. Closes: #473226, #473371
    - Spanish. Closes: #473231
    - German. Closes: #473807
    - Xhosa, Punjabi removed. The translations contained codes instead of
      names.

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Mar 2008 12:09:12 +0200

console-data (2:1.06-2) unstable; urgency=low

  * The "Pop" release
  * Change 'Multilingual' to 'Standard' in console-data.keymaps for
    the new Canadian Multilingual keymap
  * Restore 'cf' keymap in the udeb
  * Debconf translations:
    - Japanese. Closes: #471431
    - Slovak. Closes: #471432
    - Korean. Closes: #471439
    - Lithuanian. Closes: #471444
    - Arabic. Closes: #471468
    - Malayalam. Closes: #471478
    - Gujarati. Closes: #471482
    - Croatian.
    - Norwegian Bokmål. Closes: #471524
    - Finnish. Closes: #471539
    - Simplified Chinese. Closes: #471571
    - English. With typo fixes and improvements by Frans Pop.
    - Slovenian.
    - Belarusian. Closes: #471648
    - Bulgarian. Closes: #471652
    - Brazilian Portuguese. Closes: #471700
    - Dutch. Closes: #471704
    - Italian. Closes: #471725
    - Hebrew. Closes: #471748
    - Thai. Closes: #471773
    - Galician. Closes: #471777
    - Catalan. Closes: #471891
    - Czech. Closes: #471938
    - Macedonian. Closes: #471947
    - Tamil. Closes: #471959
    - Russian. Closes: #472005
    - Basque. Closes: #472088
    - Portuguese. Closes: #472120,#472121
  * Add 'partial' flag to use existing translations even if not
    everything is translated. Thanks to Frans Pop for the suggestion.
  * Better sort keymaps. Thanks to Frans Pop for the patch.
    Closes: #471474
  * Update Standards to 3.7.3 (checked)
  * Remove empty console-data.prerm script

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2008 14:27:02 +0100

console-data (2:1.06-1) unstable; urgency=low

  * New upstream release. Fixes the following Debian bug:
    - add Canadian Multilingual keymap. Closes: #464799

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Mar 2008 22:03:49 +0100

console-data (2:1.05-1) unstable; urgency=low

  * New upstream release. Fixes the following Debian bugs:
    - double-compressed Cyr_a8x* files. Closes: #461205
  * Debconf translations:
    - Portuguese. Closes: #458271
    - Korean. Closes: #458408
  * Fixes in packages' descriptions:
    - remove leading capital in "keymap" in synopsis
    - uncapitalize "console tools"
    - proper capitalization of "Debian"

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Jan 2008 20:25:05 +0100

console-data (2:1.04-3) unstable; urgency=low

  * Rebuild again after reverting changes in console-common
    meant to avoid prompting during D-I. D-I will now preseed
    console-data so no more need for hacks

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Dec 2007 18:45:13 +0100

console-data (2:1.04-2) unstable; urgency=medium

  * Rebuild with dh_consoledata 0.7.72 to avoid promprting users
    during D-I installs. Urgency bumped to medium for that reason

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Dec 2007 02:32:52 +0530

console-data (2:1.04-1) unstable; urgency=low

  * New upstream release. Fixed in that release:
    - use Unicode notation for characters in some ACM files
      Closes: #447574
    - added pl-qwertz keymap. Closes: #406617
  * Debconf translations:
    - Belarusian. Closes: #447110

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Jan 2008 10:21:05 +0100

console-data (2:1.03-1) unstable; urgency=low

  * New upstream release. Fixed in that release:
    - German Dvorak keymap. Closes: #403538
    - Russian Dvorak keymap. Closes: #402153
    - Lisp machine Dvorak keymap. Closes: #426689
    - Wolof keymap corrected. Closes: #427513
    - Euro key added to many keymaps of the Euro Zone
      Closes: #347568

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Sep 2007 20:26:35 +0200

console-data (2:1.02-2) unstable; urgency=low

  * The "not too much harm, after all, release"
  * Move sort-keymaps to binary-predeb so that it happens after
    dh_installdebconf and keymaps are sorted alphabetically in D-I
    Closes: #428751

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Jun 2007 21:12:57 +0200

console-data (2:1.02-1) unstable; urgency=low

  * The "/me hides" release
  * New upstream release:
    - Add mapping for Euro/Cent in Italian i386 keymap
      Closes: #417041
    - Avoid Delete acting as Backspace on trq.kmap and tralt.kmap.
     Closes: #420464
    - Invert keycodes 41 and 86 and mac-usb-uk.kmap. Closes: #379110

  [ Debian packaging fixes ]
  * Use ", " as separator in console-keymaps-acorn.templates Choices
    instead of ","
  * Add a watch file pointing to the Alioth web site at
    http://console-data.alioth.debian.org
  * Complete refurbish of the debian/rules file to use both cdbs and quilt.
    As a consequence of this, only operations that are specific to the package
    remain in debian/rules.

  [ Debconf translations ]
  * Marathi added. Closes: #416790,#416791

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Jun 2007 10:33:56 +0200

console-data (2:1.03-7) unstable; urgency=low

  [ Debconf translations ]
    - Tamil updated. Closes: #407096

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Jan 2007 07:41:57 +0100

console-data (2:1.03-6) unstable; urgency=low

  [ Debconf translations ]
     - Slovenian added.

 -- Christian Perrier <bubulle@debian.org>  Wed, 27 Dec 2006 11:48:12 +0100

console-data (2:1.03-5) unstable; urgency=low

  [ Debconf translations ]
     - Tamil added.

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Dec 2006 20:33:19 +0100

console-data (2:1.03-4) unstable; urgency=low

  [ Debconf translations ]
     - Malayalam added. Closes: #401436

 -- Christian Perrier <bubulle@debian.org>  Sun,  3 Dec 2006 19:39:58 +0100

console-data (2:1.03-3) unstable; urgency=low

  * Add a Wolof keymap contributed by M Mamoune Mbacke
    Closes: #398020
  * Add the jp106 keymap to the console-keymaps-usb udeb
    Closes: #342756
  * Re-correct the Dutch keymap supposedly fixed in
    2002.12.04dbs-50. Closes: #286401

 -- Christian Perrier <bubulle@debian.org>  Sun,  3 Dec 2006 07:49:33 +0100

console-data (2:1.03-2) unstable; urgency=low

  [ Debconf translations ]
     - Hindi really added.
     - Bosnian updated. Closes: #396397

 -- Christian Perrier <bubulle@debian.org>  Fri,  3 Nov 2006 07:41:13 +0100

console-data (2:1.03-1) unstable; urgency=low

  * New "upstream" release with several keymaps fixed:
    * Changes affecting D-I:
      - Fix missing 83, 89 and 121 keycodes for br-abnt2 keymap
        Closes: #380683, #390598
      - Fix the outdated behaviour of Shift with regard to CapsLock
        in the fr-latin9 keymap. That old-style typewriter behaviour
        is not used anymore in any modern operating system.
        Closes: #393978
      - Change the fr-latin9 keymap to make it as compatible as possible
        with the "fr" keymap in xorg. Closes: #393888
      - Change the Romanian keyboard to the standardized one
        Add a "comma" variant with enhancements
        Thanks to Eddy Petrisor for the patch
        Closes: #390633
    * Changes NOT affecting D-I:
      - Add a mac-macbook-de  keymap derived from mac-ibook-de
        Thanks to  Helmar Gerloni for the patch
        Closes: #392334
      - Add a mac-macbook-fr  keymap derived from mac-fr-ext
        Thanks to Ludovic Rousseau for the patch
        Closes: #392334
      - Fix CapsLock behaviour the fr-latin9 keymap.
        Closes: #393887
      - Add a deadkeys variant to the mac-ibook-de keymap
        Thanks to Rene Engelhard for the patch
        Closes: #390633
  * Debian packaging:
    * Changes affecting D-I:
      - Build-Depend on locales because we use /usr/share/i18n/SUPPORTED
        in the sort-keymaps script
      - Clean out the proposed list of French keymaps for i386. 
        The keymaps are still provided but not shown anymore.
      - console-keymaps-usb: add "it" and use it by default for Italian
        Closes: #266691

  [ Debconf translations ]
     - Estonian added. Closes: #390973
     - Gujarati added. Closes: #392922
     - Hindi added.
     - Vietnamese updated. Closes: #393626

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Oct 2006 22:43:53 +0200

console-data (2:1.0-5) unstable; urgency=low

  [ Christian Perrier ]
  * Modify the versioned build dependency on dh-consoledata to enforce the
    use of the new "DevRef-compliant" debconf templates
  * Really change the config script and turn it into a boolean template

 -- Christian Perrier <bubulle@debian.org>  Mon,  2 Oct 2006 20:54:28 +0200

console-data (2:1.0-4) unstable; urgency=low

  * console-data/keymap/powerpcadb turned into a boolean template
    in console-common. config script changed accordingly.
    Add a versioned Recommends on console-common for that reason.

  [ Debconf translations ]
     - Croatian updated. Closes: #389567

 -- Christian Perrier <bubulle@debian.org>  Sun,  1 Oct 2006 10:32:40 +0200

console-data (2:1.0-3) unstable; urgency=low

  [ Ubuntu patches ]
  * Move unicode-data from Build-Depends-Indep to Build-Depends.
  * Use US keyboard for Xhosa
  * Trim epoch from generated udeb filename
  * Translations
     - Xhosa added
     - Kurdish added. Closes: #387814

  [ Debconf translations ]
     - Wolof added
     - Bengali added

  [ Alastair McKinstry ]
  * Build-Depend: on unicode-data >=5.0.0, which has moved the data to
    /usr/share/unicode, and change rules accordingly. Closes: #387195.

  [ Christian Perrier ]
  * Re-include koi8-r.acm to provided files. Closes: #385467
  * Fix the handling of AltGr+. and AltGr+, in the croat keymap
    Thanks to Josip Rodin for the patch. Closes: #388035
  * Really install be-latin1 keymap in the console-keymap-acorn udeb
    Thanks, lintian

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Sep 2006 18:59:50 +0200

console-data (2:1.0-2) unstable; urgency=low

  * Build-Depend: on kbd | console-tools instead of console-tools;
    console-tools being retired.
  * Move to debhelper >= 5. No changes required.
  * aclocal/autoconf/automake tarball to update Makefiles and
    include missing fonts. Closes: #378841.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Jul 2006 12:50:21 +0100

console-data (2:1.0-1) unstable; urgency=low

  [ Christian Perrier ]
  * Translations
     - Thai corrected. Closes: #375137
     - Hungarian updated. Closes: #378369

  [ Alastair McKinstry ]
  * Change epoch, and make a non-native package again. The date-related
    version maked a package look old (its not supposed to change much).
    Making it a non-Debian package isolates the Debian-only changes:
    translations done to names, etc.
  * Move to Standards-Version: 3.7.2: no changes required.
  * Move unicode data into new package unicode-data, which console-data
    Suggests:, for upgrade simplicity. This trims some MBs from
    console-data. Closes: #378624.
  * New console-data source tarball, with the following changes:
    - Build with  Unicode data from unicode-data package, rather than
      obsolete data provided in tarball.
    - Fix for regression: re-added handling for missing consolefonts
      to consolefonts/Makefile*. Closes: #375635.
  * Add Build-Depends: on unicode-data, which now provides /usr/share/unidata
    that console-data-20060918 tarball requires.
  * Move dbs, debhelper from Build-Depends-Indep: Build-Depends, as warned
    by Lintian.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jul 2006 14:44:36 +0100

console-data (20060609) unstable; urgency=low

  * Translations
     - Norwegian Nynorsk updated. Closes: #367249
     - Thai added. Closes: #367332
     - Dzongkha added. Closes: #368685
     - Nepali added. Closes: #369528

 -- Christian Perrier <bubulle@debian.org>  Fri,  9 Jun 2006 10:50:00 +0200

console-data (20060421) unstable; urgency=low

  [ Alastair McKinstry ]
  * Acknowledge NMU with thanks.  ( Closes: #357746.)
  * Make Christian Perrier an Offical Uploader :-)

  [ Christian Perrier ]
  * Rename the Punjabi translation file name from pa_IN to pa
    to fit a decision taken in -i18n
  * Translations
     - Khmer updated. Closes: #359665, #363669
     - Albanian updated.
  * New Braille "Latin-9" console fonts. Thanks to Samuel Thibault for
    providing these. Closes: #356631
  * Make Control-{underscore, asciicircum, bracketright} work in French layout
    Thanks to Samuel Thibault for the patch
    Closes: #362014
  * Add Thai console fonts. Thanks to Theppitak Karoonboonyanan for the patch
    Closes: #360562
  * Add Thai TIS keymap. Thanks to Theppitak Karoonboonyanan for the patch
    Closes: #360616

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Apr 2006 17:47:24 +0200

console-data (20060317.1) unstable; urgency=low

  * Non-Maintainer Upload
  * Fixes FTBFS adding automake1.4 as build-depends. (Closes: #357746)

 -- Gustavo Franco <stratus@debian.org>  Thu, 20 Apr 2006 14:07:23 -0300

console-data (20060317) unstable; urgency=low

  * Change Priority: optional to match overrides. 
  * Fix regression that dropped lat9 fonts and trans files. Closes: #356596.
    Note that lat0* fonts are dropped as being obsoleted by lat9 fonts.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Mar 2006 20:21:24 +0000

console-data (20060311) unstable; urgency=low

  [ Alastair McKinstry ]
  * Merge experimental release 20051204.
    - Roll all Debian and other changes into a new 'Debian Native'
      package: console-data upstream is dead.
    - Recommends: now prefers kbd to console-tools.
  * Acknowledge NMUs, with thanks. 
    Closes: #352579, #349629, #343849, #344431, #344574.
    Closes: #344705, 347252, 347512.
  * Add ka8x16thin-1.psf font to tarball: adds Georgian language support.
    Thanks to Aiet Kolkhi. Closes: #345080.
  
  [ Christian Perrier ]
  * Translations
     - Hungarian updated. Closes: #352579
  * Switch the default keyboard for Chile to Latin American
    Closes: #352655

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Mar 2006 16:03:58 +0000

console-data (2002.12.04dbs-52.2) unstable; urgency=low

  * Non-maintainer upload to add a few translations for D-I etch beta2

  *  Translations
     - Macedonian updated.
     - German updated.
     - Esperanto added. Closes: #349629

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Jan 2006 16:45:22 +0100

console-data (2002.12.04dbs-52.1) unstable; urgency=low

  * Non-maintainer upload to fix a FTBFS issue

  [ Christian Perrier ]
  *  Translations
     - Vietnamese updated by Clytie Siddall. Closes: #343849
     - Polish updated by Bartosz Fenski. Closes: #344431
     - Greek updated by Konstantinos Margaritis. Closes: #344574
     - Catalan updated. Closes: #344705
     - Vietnamese updated (keyboard names *really* translated).
     - Punjabi added.
     - Hebrew updated.
  * Fix "Choices" in some templates. Closes: #347252
  * Fix debian/rules for the new make. Closes: #347512

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2006 10:39:24 +0100

console-data (2002.12.04dbs-52) unstable; urgency=low

  * Remove circular-depends on console-common. Closes: #341024.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Nov 2005 20:43:15 +0000

console-data (2002.12.04dbs-51) unstable; urgency=low

  [ Miroslav Kure ]
  *  Translations
     - Czech updated by Miroslav Kure

  [ Christian Perrier ]
  *  Translations
     - French updated by Christian Perrier
     - Danish updated by Claus Hindsgaul
     - Russian updated by Max Dmitrichenko. Closes: #338576
     - Finnish updated by Tommi Vainikainen
     - Swedish updated by Daniel Nylander
     - Galician updated by Jacobo Tarrio. Closes: #338578
     - Dutch updated by Bart Cornelis. Closes: #338594
     - Arabic updated by Ossama M. Khayat.
     - Slovak updated by Peter Mann. Closes: #338609
     - Tagalog updated by Eric Pareja. Closes: #338610
     - Spanish updated by Javier Fernández-Sanguino Peña. Closes: #338682
     - Japanese updated by Kenshi Muto. Closes: #338757
     - Italian updated by Danilo Piazzalunga. Closes: #338860
     - Ukrainian updated by Eugeniy Meshcheryakov
     - Korean updated by Sunjae Park. Closes: #339014
     - Lituanian updated by Kęstutis Biliūnas. Closes: #339075
     - Norwegian Bokmal updated by Bjørn Steensrud. Closes: #339083
     - Portuguese updated by Nuno Sénica. Closes: #339301
     - Romanian updated by Eddy Petrisor.
     - Danish updated by Nuno Sénica. Closes: #340131
     - Simplified Chinese updated by Carlos Liu. Closes: #340268, #340683
     - Brazilian Portuguese updated by Carlos Liu. Closes: #340356

  [ Alastair McKinstry ]
  * Translations
     - Korean updated by Sunjae Park. Closes: #339014.
     - Basque updated by Piarres Beobide. Closes: #338598.
     - Lithuanian updated by  Kęstutis Biliūnas. Closes: #339075.
     - Turkish updated by Osman Yüksel. Closes: #340895.
     - Irish, upddated by Alastair McKinstry. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Nov 2005 20:51:10 +0000

console-data (2002.12.04dbs-50) unstable; urgency=low

  [ Christian Perrier ]
  *  Fix missing letter 'a' in mac-usb-dvorak.map. Closes: #295637.
  *  Translations
     - Vietnamese added by Clytie Siddall
     - German spellchecked by Jens Seidel. Closes: #314140

  [ Alastair McKinstry ]
  *  Move to Standards-Version: 3.6.2; no changes required.
  *  Change debconf dependency to debconf | debconf-2.0. Closes: #331781.
  *  Define default kbd for Kurdish language. Closes: #325430.
  *  Add 'lisp-us' keymap that matches Lisp machines. Closes: #282126.
  *  Move to DH_COMPAT=5. Add ${misc:Depends} to Depends to suit.
  *  Add 'XC-Package-Type: udeb' to udebs in control.
  *  Add 'cdebconf-udeb' depends to udebs.
  *  Remove full-stops from Description: fields in debian/control
  *  Previously fixed:
     - LATIN CAPITAL LETTER N WITH ACUTE" missing from lat2u-16.
     Closes: #290331.
  *  Syntax errors in mac-ibook-de.kmap. Closes: #299577.
  *  Correct lat5u-16.psf sfm entries (copied from latin1 not utf8?)
     Closes: #321950.
  *  Include Additional Sun keymaps in Debian-Installer choices.
     Closes: #260787.
  *  Add fixed nl.kmap from Frans Pop. Closes: #286401. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  7 Nov 2005 20:22:34 +0000

console-data (2002.12.04dbs-49) unstable; urgency=low

  * Translations
    - Arabic updated (harakat removed) from Ossama Khayat
    - Tagalog added (thanks to Eric Pareja). Closes: #291146
    - Galician added (thanks to Jacobo Tarrio). Closes: #295664
  * Rebuild with dh_consoledata >= 0.7.49. 
    Closes: #263799, #282459.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  6 Feb 2005 13:06:07 +0000

console-data (2002.12.04dbs-48) unstable; urgency=low

  * Rebuilt with console-common-0.48, to fix bug #285921.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Dec 2004 20:56:13 +0000

console-data (2002.12.04dbs-47) unstable; urgency=low

  * Christian Perrier
    - Correct Portuguese USB keymap file so that it does not hang
      anymore
      Closes: #275033
    - Hack sort-keymaps for properly handling escaped commas
      Closes: #282379
    - Give safe defaults to all d-i supported languages in an attempt
      to avoid breaking fully automated installs
      Closes: #282884
    - Remove duplicate "croat" entries
      Closes: #282514
    - Correct English "translation" of some keyboard names for avoiding
      duplicate entries in some lists
      Closes: #282515
    - Correct Dutch translation from comments sent by Frans Pop
      and the Dutch team
  * Alastair McKinstry
     Acknowledge NMUs:
     Closes: #280070, #257632, #259867, #262693, #273461, #275807
     Closes: #277568, #280433, #275273, #280069, #267360, #267451

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Nov 2004 19:31:47 +0000

console-data (2002.12.04dbs-46.2) unstable; urgency=low

  * Non-maintainer upload for cleaning out the ugly mess
    in the previous NMU source package (failed SVN commits,
    unpacked trees, useless tar.gz file)
    Apologies for this giant package

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Nov 2004 15:44:25 +0100

console-data (2002.12.04dbs-46.1) unstable; urgency=low

  * Nom-maintainer upload. Fix several bugs which affect d-i usability
  * Translations:
    - Added Macedonian (mk) by Georgi Stanojevski
    - Corrected encoding error in French. Closes: #277569
  * Select br-abnt2 as the default Brazilian keymap. Closes: #275273.
  * Added Lithuanian keymap to console-keymaps-at, console-keymaps-acorn
    for debian-installer. Closes: #275087.
  * Fixed dangling symlink in console-keymaps-at; thanks to Recai Oktas.
    Closes: #262693.
  * Add Anton Zinoviev as co-maintainer.
  * Christian Perrier
    - Add Greek UTF-8 keyboard map. Closes: #273461
    - Add Persian keyboard map. Closes: #267360
    - Add Arabic keyboard map. Closes: #267451
    - Remove fr-latin1 choice in console-keymaps-at.templates
      The keyboard map is still kept for backwards compatibility
      Closes: #257632
    - Sync changelog for sarge and sid
    - Remove mac-usb-euro choice in console-keymaps-usb.templates
      as well as the console-keymaps-usb udeb
      This will remove the suspicious "European" choice in d-i
      Closes: #280070
    - sort keymaps in udeb templates. Closes: #259867
    - default to US keymap for USB keyboard and nl_NL installs
      Closes: #280069
  * Martin Pitt (commited by C. Perrier)
    - fixed debian/patches/00_added_keymaps.patch: mac-linux-keys-bare.inc
      previously assigned AltGr to 56 and Alt to 125, which is wrong; fixed by
      swapping the assignments. (Ubuntu bug #958)
      Closes: #280433

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Nov 2004 15:08:47 +0100

console-data (2002.12.04dbs-46) unstable; urgency=low

  * Include be-latin1 so Belgian keyboard works.
    Closes: #266595, #262620, #266683, #268004, #268650.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Aug 2004 22:09:07 +0100

console-data (2002.12.04dbs-45sarge) testing-proposed-updates; urgency=low

  * Include be-latin1 so Belgian keyboard works.
    Closes: #266595, #262620, #266683, #268004, #268650.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Aug 2004 22:09:07 +0100

console-data (2002.12.04dbs-44) unstable; urgency=low

  * Fixes from Recai Oktas to  Turkish keymaps, to work with updated
   console-tools changes. Closes: #261749.
  * Include keymap ibook2-it.kmap. Closes: #228347.
  * Fix ibook2-uk keymap and merge additions from ibookg4-uk keymap
    patch by Sam Halliday. Closes: #256441, #256439.
  * Added Arabic translation from Arabeyes repository
  * Initial Croatian translation
  * Translations:
    - Ukrainian by Eugeniy Meshcheryakov.
    - Bosnian updated

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jul 2004 10:29:09 +0100

console-data (2002.12.04dbs-43) unstable; urgency=low

  * Translations:
    - Bosnian added by Safir Secerovicwq
    - Basque added by Piarres Beobide Egañ. Closes: #255862.
    - Norwegian Bokmal updated by Bjørn Steensrud
    - Hebrew by Lior Kaplan.
    - Unfuzzied ga.po, sv.po.
  * renumbered debian/patches to sort out patches to send to kbd.
  * dvorak-fr keymap thanks to  Fabien CELLIER
  * Add 'alt_is_meta' to Hebrew keymaps. Closes: #255243.
  * Moved default french keymap from fr-latin0 to fr-latin1, following
    discussions on debian-l10n-french.
  * Use be2-latin1 as default for BE. Closes: #232116.
  * Christian Perrier
    - give some coherency to English "translations". Correct a few typos.
  * console-keymaps-sun.templates:
     "choices" --> "Choices"; otherwise question not offered. 
     Closes: #244886.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jul 2004 21:07:57 +0200

console-data (2002.12.04dbs-42) unstable; urgency=low

  * ua.kmap a symlink to 'ua-utf' in debian-installer. Closes: #251068.
  * Rebuild with dh-consoledata_0.7.45

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jun 2004 21:43:59 +0100

console-data (2002.12.04dbs-41) unstable; urgency=low

  * Translations:
    - Welsh by  Dafydd Harries.
    - German updatedi by Dennis Stampfer.
  * Default keymap for nl_NL changed to us. Closes: #251115.
  * Default keymap for fr changed to fr-latin0. Closes: #252080.
  * Patch from Norbert Buchmuller for missing keys in Hungarian keymap
    Closes: #252337.
  * Changed default keymap for Ukrainian to ua.kmap. Closes: #251068.
  * Rebuilt with dh-consoledata_0.7.44 to fix install problems.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat,  5 Jun 2004 08:06:25 +0100

console-data (2002.12.04dbs-40) unstable; urgency=medium

  * Translations
    - Spelling-Updates by Dennis Stampfer in de.po
    - Added Polish by Bartosz Fenski. Closes: #249146
    - Updated Catalan by Jordi Mallach
    - Added Bulgarian by Ognyan Kulev.
    - Updated Norwegian Bokmål by Håvard Korsvoll. Closes: #250366
    - Updated Spanish by Javier Fernández-Sanguino Peña. 
      Closes: #250440
  * Default to US keymaps in en_AU.
  * Added ibook-de German keymap for ibooks. Closes: #250259.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 May 2004 06:20:20 +0200

console-data (2002.12.04dbs-39) unstable; urgency=low

  * Translations
    - Initial Romanian ro.po by Eddy Petrisor.
    - Lithuanian lt.po update by Kęstutis Biliūnas.
    - Albanian sq.po translation by Elian Myftiu.
    - Initial Slovak translation by Peter Mann
    - Corrected German for la-latin1 and fi-latin1 by
      Christian Perrier. Closes: #247449
    - Committed Denis Barbiers Patch (sent to #248206) to fix umlauts
      Removed "(keine Tottasten)" in German translation because this only
      confuses people. by Dennis Stampfer
  * Include links for keymaps not included in d-i. Closes: #243175.
  * Use 'us' keymap as the default for Netherlands in d-i.
    Closes: #246725.
  * Use ua-utf keymap for Ukrainian. Closes: #238544.
  * Change charset in turkish keymaps for d-i. Closes: #247441.
  * Change default keymap for Turkish to trfu. Closes: #247442.
  * Add mac-es to keymaps available in debian-installer. Closes: #247513.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat,  8 May 2004 10:26:04 +0200

console-data (2002.12.04dbs-38) unstable; urgency=medium

  * Translations:
    - Italian update by Danilo Piazzalunga. Closes: #243579
    - Basque translation by Piarres Beobide Egana±. Closes: #244035
    - Catalan translation by Orestes Mas. Closes: #244762.
    - Hebrew translation by Lior Kaplan.
    - Russian by Nikolai Prokoschenko. Closes: #244992.
    - Indonesian by I Gede Wijaya S. Closes: #245493.
    - Norwegian Nyorsk (nn) updated by Håvard Korsvoll. Closes: #245534.
    - Simplified Chinese (zh_CN) updated by Carlos Z.F. Liu. Closes: #245459.
    - Finnish updated by Tommi Vainikainen. Closes: #245452.
    - Hungarian update by VEROK Istvan.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Apr 2004 21:46:46 +0200

console-data (2002.12.04dbs-37) unstable; urgency=low

  * "Translate" missing entries in English. Closes: #242983
    Also correct "Belarusian" spelling with official english spelling
    for the Belarusian language
  * Add Build-Depends: on console-tools. Closes: #242979.
  * Add Descriptions to all keymap templates. Closes: #243248.
  * de.kmap: put bar on u-umlaut key. Closes: #230542.
  * Translations
    - Danish update by Morten Brix Pedersen. Closes: #243072

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Apr 2004 21:45:54 +0200

console-data (2002.12.04dbs-36) unstable; urgency=low

  * Fix broken template name that caused kbd-chooser to fail. Closes: #242489.
  * Translations
    - Korean update by Changwoo Ryu. Closes: #2242204
    - Czech update by Miroslav Kure
    - Japanese update by Kenshi Muto
    - Greek update by Konstantinos Margaritis
    - Hungarian update by  VERÓK István
    - Lithuanian update by Kęstutis Biliūnas

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  8 Apr 2004 21:35:49 +0200

console-data (2002.12.04dbs-35) unstable; urgency=low

  * Trim and compress the keymaps in udebs. Closes: #239729.
  * Add correct lat2u SFM to lat2u fonts by default. Closes: #221443.
  * Change console-keymaps-at priority to optional; matches override.
  * Remove unnecessary speakup keymaps. Closes: #239385.
  * Remove substvars on cleanup.
  * Translations:
    - Swedish by André Dahlqvis. Closes: #240841.
    - Portuguese by Nuno Sénic. Closes: #242131.
    - Italian by Danilo Piazzalunga. Closes: #239060.
    - Removed the pt_BR.po fuzzy entry from the header
      to avoid msgfmt giving out errors.
    - Updated Ukrainian translation by Eugeniy Meshcheryakov.
    - Updated German translation by Dennis Stampfer.
    - Updated French by Christian Perrier
    - Updated Brazilian Portuguese by André Luís Lopes.
    - Updated Dutch translation by Bart Cornelis
    - Updated Turkish translation by Osman Yüksel
    - hu.po unfuzzied by VEROK Istvan. Closes: #242022.
    - Updated Japanese translation by Kenshi Muto.
    - Updated Greek translation by Konstantinos Margaritis.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  5 Apr 2004 22:37:35 +0100

console-data (2002.12.04dbs-34) unstable; urgency=medium

  * Translations:
    - Hungarian by VEROK Istvan. Closes: #238351.
    - Italian by Danilo Piazzalunga. Closes: #239060.
    - Portuguese by Nuno Sénica. Closes: #238596.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Mar 2004 20:19:18 +0000

console-data (2002.12.04dbs-33) unstable; urgency=high

  * Add /usr/share/console/lists/console-keymaps-dec. Closes: #237683.
  * Danish translation from Morten Brix Pedersen. Closes: #237284.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Mar 2004 22:35:08 +0000

console-data (2002.12.04dbs-32) unstable; urgency=low

  * Rebuild with console-common-0.7.37 to pick up fix for postinst.
  * iso13.acm fix: can be == iso13.sfm. Closes: #235661.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  8 Mar 2004 10:05:43 +0000

console-data (2002.12.04dbs-31) unstable; urgency=low

  * Add console-keymaps-dec, containing Dec-specific keymaps for the
    Debian Installer.i Contains lk201-us (renamed lk201) Closes: #235333.
  * debian/control: Remove bogus references to fonts in 
    console-keymap-* entries.
  * Updated Lithuanian translation from Kęstutis Biliūnas. Closes: #235417.
  * Updated  Brazilian Portuguese translation from  Andre Luis Lopes. 
    Closes: #235509.
  * is-latin1-us.kmap: New keymap by Reynir Heiðberg Stefánsson; taken
    from kbd-1.12.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  2 Mar 2004 20:35:13 +0000

console-data (2002.12.04dbs-30) unstable; urgency=low

  * Ukrainian debconf translation from  Eugeniy Meshcheryakov. Closes: #233045.
  * Korean translation from  Changwoo Ryu. Closes: #233997.
  * Atari French keymap from Bill Allombert. Closes: #230516.
    Thanks to all the translators for quick translations of this entry.
  * Install correct Ukranian keyboard on i386. Closes: #233254.
  * Added guillemot* to de keymap. Closes: #228968.
  * udebs: Correct language hint for Greek, "el". Closes: #234533.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Feb 2004 22:00:02 +0000

console-data (2002.12.04dbs-29) unstable; urgency=low

  * udebs: Default to Japanese keymap for ja_JP locale. Closes: #231544.
  * zh_CN.po: Add Simplified Chinese translation from Carlos Z.F. Liu.
    Closes: #230479.
  * Updated Turkish keymaps from Recai Oktas. Closes: #232033.
  * udebs: correct "cz" to "cs" as language hint for Czech. Closes: #232486.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Feb 2004 16:28:32 +0000

console-data (2002.12.04dbs-28) unstable; urgency=medium

  * Add "|" key to JP106 keyboards for 2.6 kernel.
    Closes: #224998.
  * Add LK201 keymap for mipsel to satisfy debian-installer.
  * Fix fr-latin[09].kmap: keycode 84 now means asterisk, not SAK.
    Closes: #226550.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Jan 2004 21:41:40 +0000

console-data (2002.12.04dbs-27) unstable; urgency=low

  * console-keymaps-pc: Let German lang select German keyboard, not
    Swiss. Closes: #226170.
  * pt_BR.po: Change encoding to UTF-8. Closes: #224346.
  * fr.po: Updated translation from Christian Perrier. Closes: #224473.
  * dvorak.kmap: Add Compose key and mappings. Closes: #221994.
  * de.po: Fix broken UTF-8. Closes: #224285.
 
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 6 Jan 2003 21:41:53 +0000

console-data (2002.12.04dbs-26) unstable; urgency=low

  * Updated Czech translation from Miroslav Kure.
  * Updated Norwegian (nn.po) translation from Gaute Hvoslef Kvalnes.
  * Added  Lithuanian translation from Kęstutis Biliūnas.
  * Updated German translation from Thorsten Sauter.
  * Added Greek translation from Konstantinos Margaritis.
  * Added Finnish translation from Tommi Vainikainen.
  * Updated Catalan translation from Orestes Mas.
  * Added Turkish translation from  Osman Yüksel.
  * Updated Spanish translation from Carlos Valdivia Yagüe.
  * Updated Danish translation from  Morten Brix Pedersen.
  * Updated Irish translation.
  * Updated Dutch translation from Bart Cornelis.
  * Added Irish translation from Verok Istvan.
  
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Nov 2003 11:41:53 +0000

console-data (2002.12.04dbs-25) unstable; urgency=low

  * Polish debconf templates; thanks to Christian Perrier. Closes: #221197.
  * Updated Danish translation from Morten Brix Pedersen. Closes: #221182.
  * Add Irish (ga.po) translation.
  * Add Latin American keyboard.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Nov 2003 06:46:02 +0000

console-data (2002.12.04dbs-24) unstable; urgency=low

  * Don't choose dvorak as a default keyboard. 
  * Updated Russian translation from ilgiz kalmetev.
  * Updated Japanese translation from Kenshi Muto.
  * Updated Portuguese (pt_BR) translation from André Luís Lopes. 
    Closes: #219816.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Nov 2003 20:36:58 +0000

console-data (2002.12.04dbs-23) unstable; urgency=low

  * Add Bosnian entry for keyboard selection.
  * Updated Russian translation from Ilgiz Kalmetev. Closes: #219219.
  * USB keyboards are not mac-specific. Delete mac references.
  * console-keymaps-usb: Put the mac-usb-fi keymap in the 
    qwerty directory, not qweryt.
  * console-keymaps-mac now includes non-USB keymaps only.
  * Ensure all necessary include files are in udebs. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  5 Nov 2003 13:12:10 +0000

console-data (2002.12.04dbs-22) unstable; urgency=low

  * Properly format the keymap names in en.po, console-keymaps-at udeb.
  * Rename ru_RU.po to ru.po. Closes: #216985.
  * Kenshi Muto
    - Update Japanese translation (ja.po). Closes: #217417.
  * Christian Perrier
    - Update French translation (fr.po). Closes: #213813, #217201.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 27 Oct 2003 20:37:01 +0000

console-data (2002.12.04dbs-21) unstable; urgency=low

  * Ensure udebs don't have postrms. Closes: #216130.
  * Add Descriptions for udeb templates (moved from kbd-chooser) Needed
    for proper i18n of kbd-chooser.
  * Polish keymap: switched debconf names for 'pl1' and 'pl' keymaps.
    Closes: #215892.
  * Chraset of french po file should be UTF-8. Closes: #213813.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2003 19:35:06 +0000

console-data (2002.12.04dbs-20) unstable; urgency=low

  * Remove koi8-r.psf; conflicts with fonty-rg. Closes: #215204.
  * Change udeb priorities to extra, to agree with overrides.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Oct 2003 09:42:18 +0100

console-data (2002.12.04dbs-19) unstable; urgency=low

  * Include sunfonts from RedHat kbd-1.08 patch. 
  * Ensure all consolefonts are compressed.
  * Fixes for fr.po from  Christian Perrier. Closes: #213395, #213813.
  * Added Belarussian keymaps.  Closes: #213285.
  * Added keymaps to installer udebs for Greek, Macedonian, Dutch, Ukrainian,
    Romanian, Serbian (Cyrillic), Latvian, Hungarian.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  9 Oct 2003 19:51:11 +0000

console-data (2002.12.04dbs-18) unstable; urgency=low

  * Fix errors in es.kmap. Closes: #213102.
  * All template files are now UTF-8. Closes: #213049.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Sep 2003 20:35:13 +0100

console-data (2002.12.04dbs-17) unstable; urgency=low

  * Move to Standards-Version: 3.6.1; no changes required.
  * Remove bad Meta_ references in fr-latin1 keymaps. 
    Closes: #183939, #211630.
  * Fix po-debconf usage. Closes: #205793.
  * Add french debconf translation, thanks to Christian Perrier. 
    Closes: #210462.
  * Workaround for Logo key bug in some powerpc kernels, thanks to
    Frank Murphy. Closes: #208207.
  * Update /usr/share/unidata to Unicode-4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Sep 2003 19:52:18 +0000

console-data (2002.12.04dbs-16) unstable; urgency=low

  * Include keymap for italian iBook from Leando Noterini. Closes: #205366.
  * control: change references to AT keyboards to "PC-style keyboards".
    Closes: #205512.
  * Include console trans. table for ISO-8859-13. Closes: #205744.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Aug 2003 21:41:40 +0100

console-data (2002.12.04dbs-15) unstable; urgency=low

  * Remove unnecessary newlines from debian/control. Closes: #205069. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Aug 2003 22:11:41 +0100

console-data (2002.12.04dbs-14) unstable; urgency=low

  * Change maintainer email to mckinstry@debian.org.
  * Update to Standards-Version 3.6.0; no changes required.
  * Rename console-keymaps-ps2 to console-keymaps-at. (More 
   common / accurate referred to as AT keyboards).
  * Turkish keyboard (tr_q-latin5) fix from Recai Oktas. Closes: #201485. 
 
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 15:27:45 +0100

console-data (2002.12.04dbs-13) unstable; urgency=low

  * Change priority to important.
  * Remove console-fonts.udeb; not used, and bterm requires its own fonts,
    in a different format.
  * Fix de-latin1 in console-keymaps-ps2; missing includes. Closes: #191292.
  * it-ibm now includes euro.inc. Closes: #189231. 

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 30 Apr 2003 23:21:22 +0100

console-data (2002.12.04dbs-12) unstable; urgency=low

  * Simplified description lines for udebs so they'll fit on one line.
  * Removed compose.latin1 from de-latin1.kmap for the moment - until they are
    included in udebs. missing includes cause segfaults.
  * Changed sunkeymap Delete key to map match i386 behaviour (as documented
    in debian-policy). Closes: #185974.
  * Added trqalt Sun keymap. Closes: #185977.
  * More meta key fixes in fr-latin1.

 -- Alastair McKinstry <mckinstry@computer.org>  Sat, 12 Apr 2003 22:24:57 +0100

console-data (2002.12.04dbs-11) unstable; urgency=low

  * Fix corrupted mac-usb-us.kmap.gz. Closes: #185744.
  * Add fr-pc as offered keymap. Closes: #185040.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 21 Mar 2003 20:47:28 +0000

console-data (2002.12.04dbs-10) unstable; urgency=low

  * Add more defaults to keymap udebs: se (Sami) should use no-latin1;
    'no' and 'se' langs use Swedish kbds if no Norwegian kbds available.
  * Add nn and nb lang codes for Norwegian keymaps; correct Danish lang codes
    as dk->da. Closes: #184343.
  * Removed duplicate "Norvegian" keymap. Closes: #184347.
  * Change priority of console-keymaps-* to optional  so that they are not
    automatically loaded by d-i; d-i will be smarter and load on demand.
  * Add lv-latin7 to udeb keymaps
  * Fix meta keys in fr-latin1 keymap. Closes: #183939.
  * Move some mac-usb keymaps from qwerty to azerty/qwertz directories.
    Closes: #184233.
  * Removed redundant mac-usb includes files. Closes: #184292.
  * Added compose.latin1 to de-latin1 keymap.
  * Started regression tests.
  * Include mac-{azerty,qwerty}-layout.inc from kbd-1.08. Fixes some keymaps.
  * New mac-usb-us.kmap, to switch alt and logo keys. Closes: #108433. 

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 18 Mar 2003 16:45:09 +0000

console-data (2002.12.04dbs-9) unstable; urgency=low

  * Added sunt4-fi-latin1 keymap. 
  * Make 'us' the default ps2 keymap, not 'dvorak'. Closes: #183365.

 -- Alastair McKinstry <mckinstry@computer.org>  Thu,  6 Mar 2003 23:41:27 +0000

console-data (2002.12.04dbs-8) unstable; urgency=low

  * removed superflous latin1, latin0 keymap references.
  Closes: #181304.
  * Added de-latin1 to console-keymaps-ps2. Closes: #181398.
  * Added mac-fr-ext.kmap. Please review French mac keymaps!
  Closes: #157169.

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 19 Feb 2003 22:20:51 +0000

console-data (2002.12.04dbs-7) unstable; urgency=low

  * control: Changed section: to utils, to match overrides.
  * Added note to README.Debian about editing
    /etc/console/boottime.kmap.gz. Closes: #112854.
  * udeb keymap lists: Celtic languages use the UK keymap layout
  * parse-error in fr-latin9 fixed.
  * workaround for 'dead children?' bug in console-tools/findfile.
    (gr.kmap problem).
  * fr_CH keymap: bar, broken bar now match X keymap. Closes: #159644. 

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 12 Feb 2003 22:24:07 +0000

console-data (2002.12.04dbs-06) unstable; urgency=low

  * console-keymaps-* ; add en_IE preferences for British keyboards.
  * Fix euro support for it keymap. Closes: #176646.
  * Re-include Turkish support (regression)
  * Ensure added keymaps get put into package; 
    Closes: #178814, #179178.
  * Fix malformed udeb keymap lists; Closes: #179634, #179693.

 -- Alastair McKinstry <mckinstry@computer.org>  Tue,  4 Feb 2003 21:57:05 +0000

console-data (2002.12.04dbs-5) unstable; urgency=low

  * Don't compress files in .udebs.  
  * Add console/lists/console-keymaps-usb to udeb.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 17 Jan 2003 12:01:25 +0000

console-data (2002.12.04dbs-4) unstable; urgency=low

  * Added console-keymaps-usb udeb package. Closes: #172794.
  * debian/rules: Make gen-acorn-keymaps executable. Needed to Build.
    Closes: #174223. Closes: #173037.
  * Chose default keymaps; (there has been no mail telling me of better
    defaults than current choices. If people don't like the defaults, send
    a bug report). Closes: #84604.
  * debian/console-data.config: Ensure array properly referenced.
    Closes: #174390, Closes: #173592, Closes: #172730, Closes: #173213.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 29 Dec 2002 17:30:46 +0000

console-data (2002.12.04dbs-3) unstable; urgency=low

  * Remove the ">" from the console-data.keymaps file that generates the
    console-data.config file ... Closes: #172279. Again.

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 10 Dec 2002 18:19:16 +0000

console-data (2002.12.04dbs-2) unstable; urgency=low

  * Removed erroneous ">" in console-data.config that was breaking installs.
    Closes: #172279.
  * All console-keymaps-* udebs now provide console-keymaps for installer to
    depend on. 

 -- Alastair McKinstry <mckinstry@computer.org>  Mon,  9 Dec 2002 09:40:24 +0000

console-data (2002.12.04dbs-1) unstable; urgency=low

  * Now at Standards-Version: 3.5.8 (no change required).
  * Now also produces  .udebs for the debian-installer.
  * Moved additional PSF files to extras package, to tidy rules file.
  * Fixed missing bold on lat1u-16.psf. Closes: #166753.
  (will be in next upstream release, I hope).
  * Added keymap from French-HOWTO (as 'fr-x11'). Closes: #42056.
  * Updated Portuguese template. Closes: #144773.
  * Removed reference to 'cent' from iso-8859-7 gr.kmap. Closes: #157958.
  * Set Default Swiss keymap as German. Closes: #168265.
  * Added patches to sunt5-uk, sunt6-uk keymaps from Dave Love.
  * Added no-standard keymap from Stian Sletner. Closes: #118544.
  * Added iBook (uk) keymap. Closes: #117231.
  * Incorporated changes from Redhat-7.3 patches:
    de-latin1.kmap, se-latin1.kmap: added control codes
    br-abnt2.kmap: extra syms on slash,backslash keys
    added euro to qwerty/us-latin1
  * added keymaps: il,il-heb,il-phonetic,speakup-lt,speakup. Closes: #115251.
  * From kbd-1.08: added keymaps:
  se-fi-ir209.kmap,se-fi-lat6.kmap,se-ir209.kmap,se-lat6.kmap for Northern Sami.
  sunt4-no-latin1.kmap, mac-dvorak.kmap, mac-qwertz-layout.inc,
  bg-cp1251.kmap, sr-cy.kmap, fr-latin9.kmap,
  mac-es.map, mac-fi-latin1.map, mac-fr.map, mac-fr_CH-latin1.map,
  mac-it.map, mac-pt-latin1.map, mac-se.map, mac-uk.map, mac-us.map,
  by.map.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon,  9 Dec 2002 09:36:37 +0000

console-data (1999.08.29dbs-26) unstable; urgency=low

  * Added Turkish keymap and fonts; thanks to Baurjan Ismagulov. Closes: #149479.
  * added support for dead_cedilla in fi-latin1 keymap. Thanks to Thomas PARIS,
  Closes: #141378.
  * DBS'ise (there are lots of patches to manage.)
  * Use hashes as comment symbols, not exclamations, in keymaps.
  Closes: #162469.
  * Include latin compose chars in is-latin1.kmap. Closes: #141124.
  * Added fixed iso-02 fonts and SFM files, Thanks to Grin.
  Closes: #66615. Closes: #72329.
  * Added cz-us-qwerty keymap. Closes: #116014.
  * Updated Standards-Version to 3.5.7 (no change).
  * Added acm,sfm files from console-tools-cyrillic-0.9. Closes: #55031.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 15 Nov 2002 08:37:57 +0100

console-data (1999.08.29-25) unstable; urgency=low

  * New Maintainer: Alastair McKinstry.
  * Copied SuSE fixes for mac-de-latin1-nodeadkeys.map. Closes: #50588.
  * Fix the unicode mappings for characters in lat0-*.psf fonts.
    Closes: #127761.
  * Add German template. Closes: #103238.
  * Removed dot in "I with grave" char in lat1u-16.psf, space problem
    Closes: #46530.
  * lat2u-16.psf, lat2u.sfm: N with acute was incorreclty mapped.
    Closes: #74696.
  * Added fonts iso02g.psf, iso03g.psf; Closes: #56696, Closes: #121773.
  * ruscii_8x14.psf: "i" was inverted. Closes: #52879.
  * Added spanish template. Closes: #110986.
  * Added "dvorak-classic" keymap from Karl M. heglbloom. Closes: #133142.
  * Add BR-latin1 option to debconf. Closes: #132751.
  * Added portuguese template. Closes: #105300. Closes: #108502.
  * Added Mac Polish keymaps. Closes: #131594, #131595.
  * Added Spanish template. Closes: #110986.
  * Use new debconf/confmodule

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 22 Oct 2002 10:21:23 +0000

console-data (1999.08.29-24) unstable; urgency=high

  * This release is needed for woody since it fixes a serious
    bug.  See changelog of console-common for more information.
  * Rebuilt with dh-consoledata 0.7.13 to fix #110873 and #130008
    which occur when console-data/keymap/full has a bogus value.
  * Offer euro not yen in the mac-usb-fr keymap.  Closes: #129083

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 02 Feb 2002 17:30:28 +0100

console-data (1999.08.29-23) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * Rebuilt with dh-consoledata 0.7.12 to fix above mentioned bug
    (cf. changelog of console-data 0.7.12 and #126633.)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 03 Jan 2002 17:05:29 +0100

console-data (1999.08.29-22) unstable; urgency=high

  * This release is needed for woody since it fixes a bug in the
    configuration of console-common and console-data (which breaks
    base installs) on all ARM RiscPCs.
  * Rebuilt with dh-consoledata 0.7.11 so "pc" and not the non-existing
    "riscpc" keymaps are used on RiscPC.  This should fix #126633.
  * debian/console-data.keymaps: Disable 2 broken keymaps
    (mac-de-latin1-nodeadkeys and mac-us-dvorak).
  * debian/control: Set Maintainer field to Wartan Hachaturow and add
        myself to Uploaders.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 01 Jan 2002 15:06:31 +0100

console-data (1999.08.29-21.8) unstable; urgency=low

  * NMU
  * Added US International keymap (better than US Latin1) with or without
    support for Euro. (files: us-intl.iso01.kmap/.iso15.kmap)
    (Closes #90641, #90642)

 -- Wolfgang Sourdeau <was@debian.org>  Mon, 27 Aug 2001 01:44:49 -0400

console-data (1999.08.29-21.7) unstable; urgency=medium

  * NMU
  * Don't include euro support in linux-with-alt-and-altgr because that
    breaks some keymaps (notably et and et-nodeadkeys).  Instead include
    euro.inc where it's necessary (Closes: #109175).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 23 Aug 2001 10:27:04 +0200

console-data (1999.08.29-21.6) unstable; urgency=medium

  * NMU
  * Add 'Norvegian' again so upgrades won't break.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 12 Aug 2001 16:56:33 +0200

console-data (1999.08.29-21.5.1) unstable; urgency=medium

  * NMU
  * Rebuilt with dh-consoledata 0.7.5.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 11 Aug 2001 15:11:17 +0200

console-data (1999.08.29-21.4.1) unstable; urgency=high

  * NMU
  * Rebuilt with dh-consoledata 0.7.4.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 10 Aug 2001 14:48:31 +0200

console-data (1999.08.29-21.4) unstable; urgency=high

  * Move Euro support from qwert{y,z}-layout to linux-with-alt-and-altgr
    so keymaps without Alt-Gr don't break.  This will stop the breakage
    in the boot-floppies build.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 05 Aug 2001 14:30:49 +0200

console-data (1999.08.29-21.3) unstable; urgency=medium

  * The "Apple owes me a nice USB keyboard" NMU
  * Rebuilt with dh-consoledata version 0.7.3 in order to fix some
    issues on PowerPC (see #107484 or the changelog of console-common).
  * Added some Apple USB keymaps (Thanks to Olaf Hering, SuSE),
    another request of #107484.
  * Added Norwegian Type 5 Sun keymap (Closes: #107527).
  * Fix Euro support in qwertz keymaps thereby restoring the meaning
    of C-E (Closes: #107558).
  * Add the Euro to qwerty keymaps (Alt-Gr e), such as Spanish ones
    (Closes: #107285).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 03 Aug 2001 00:29:16 +0200

console-data (1999.08.29-21.2) unstable; urgency=medium

  * NMU
  * Fix override disparity:
        - section is base now (was utils)
        - priority is important (was required)
  * Added the Euro symbol to UK and qwertz keymaps (Closes: #37689).
  * My last upload added a Mac US Dvorak keymap (Closes: #93680, #93460).
  * Add Incr_Console and Decr_Console support to the US and DE Amiga
    keymaps (Closes: #36090).
  * Rename 'Standard' German keyboard to 'Programmer' and set the default
    to 'de-latin1'. (Closes: #38187, #88277).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jul 2001 19:56:58 +0200

console-data (1999.08.29-21.1) unstable; urgency=medium

  * NMU to fix non-i386 RC bugs.
  * Offer "US american" for SPARC Type 5 keyboards (Closes: #102500.
    Partly closes #74350 and #85128).
  * Spell "Norwegian" correctly (Closes: #94959, #97522).
  * Include Japanese Sun keymaps (Closes: #95093).

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jul 2001 19:56:58 +0200

console-data (1999.08.29-21) unstable; urgency=high

  * Upload with urgency HIGH to get it into testing - this blocks
    boot-floppies progress (Closes: #93905).
  * Added sharutils to build-deps as we have uuencoded files to unpack
    (Closes: #89210).
  * Changed build-depends to build-depends-indep, as there's no
    binary-arch packages built here.
  * Call dh_perl with "-d" so that we depend on perl-base, not perl
    (Closes: #90080).
  * Removed ${perl:Depends} from Depends field, now that "dh_perl -d"
    expands this to "" and that dpkg-gencontrol does not handle this
    correctly yet.  Kept correct Depends line as X-ShouldDepends so that
    it doesn't get lost in the end.  Sigh.

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Apr 2001 19:41:16 +0200

console-data (1999.08.29-20) unstable; urgency=low

  * Rebuild with dh-consoledata 0.4.
  * s/$keymaps/$::keymaps/ as required for new dh-consoledata.
  * Use dh-generated postinst.

 -- Yann Dirson <dirson@debian.org>  Mon,  5 Mar 2001 20:55:30 +0100

console-data (1999.08.29-19) unstable; urgency=medium

  * Rebuilt using dh-consoledata 0.3.

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Mar 2001 12:46:19 +0100

console-data (1999.08.29-18) unstable; urgency=low

  * Moved getkeymapchoice.pl outa here, into new console-common package.
    Added this one as new dependency.
  * Removed postinst hack used to prevent an obsolete install-keymap to be
    used, now that we depend on a new one.  Also should allow keymap
    configuration using kbd when I'll find time to update it to use the
    new framework.
  * Build-depend on dh-consoledata (config and templates now generated).
  * Removed redundant "-u '-isp'" flag to dh_gencontrol.
  * Applied Josip's change to croat.kmap (Closes: #59858).
  * Alcove earned to be copyright holder by providing me with time to work
    on this package; mentionned this in the copyright file.

 -- Yann Dirson <dirson@debian.org>  Tue, 27 Feb 2001 13:52:12 +0100

console-data (1999.08.29-17) unstable; urgency=medium

  * Only attempt to install a keymap if console-tools is installed, not
    kbd - there were problems when console-tools had been installed, then
    removed in favor of kbd without purging its conffiles.  This is a
    temporary hack until I reorganize both in a better way, around a
    console-common package to handle all this duplicated stuff I did not
    want to keep in sync while developping.  Thanks to Joe Barnett for his
    help hunting the problem.

 -- Yann Dirson <dirson@debian.org>  Tue,  6 Feb 2001 00:49:19 +0100

console-data (1999.08.29-16) unstable; urgency=medium

  * Requires debconf >= 0.5 (Closes: #84637).

 -- Yann Dirson <dirson@debian.org>  Sun,  4 Feb 2001 22:12:48 +0100

console-data (1999.08.29-15) unstable; urgency=medium

  * Added default for pc/qwerty/polish/standard (Thanks to Marcin
    Gozdalik <gozdal@gozdal.eu.org>).
  * In postinst, do not try to load the keymap with old console-tools not
    supporting NONE or REJECT (Closes: #83455).
  * Be sure to load the debconf library early in postinst, so that
    debconf's black magic works.
  * Changed "Suggests: debconf" to "Depends: debconf >= 0.4.00" (Closes:
    #84134).

 -- Yann Dirson <dirson@debian.org>  Tue, 30 Jan 2001 23:57:19 +0100

console-data (1999.08.29-14) unstable; urgency=medium

  * When picking a default for a keymap question, use printf() instead of
    warn(), and print a note asking from help on these (Closes: #82946).
  * Fixed postinst to install keymap using new mechanism (only
    console-data would do it), so that dpkg-reconfigure works, and
    recommend console-tools (>= 1:0.2.3-16) so that install-keymap loads
    the selected keymap as well (Closes: #83043).
  * Commented out "deconfigure" invocation on package removal, until it
    gets implemented.
  * Replaced 'Canadadian' with proper 'Canadian' in qwerty keyboard
    description.  Noted that this entry is to be removed when support for
    removal will be there.
  * Declared 'German' as default layout for pc/qwertz.  I suspect the
    'default' mechanism to be quite broken as those warnings about missing
    defaults do not show everytime I expect them to.
  * Replaced "Wants default ?" question with 3-choices "Policy" question.
    Default choice is 'Select keymap from list' when the user is presented
    with the question, but is turned to "Don't touch keymap'" if the
    question is hidden because its priority is too low.  Updated
    getkeymapchoice.pl accordingly.  Also requires console-tools -16 to
    work. Closes: #83084.
  * Fixed and enabled debconf "backup" support (part of #83084, thanks to
    Sylvain Defresne).

 -- Yann Dirson <dirson@debian.org>  Wed, 24 Jan 2001 02:20:01 +0100

console-data (1999.08.29-13) unstable; urgency=low

  * Reimplemented debconf support, hopefully in the Right Way (Closes:
    #50864, #57145).
  * Recommends console-tools (>= 1:0.2.3-15) | kbd (>= 0.99-12) to have
    the debconf-selected data used.
  * Known bug: "default" items appear in the lists.  Ignore them.
  * List provided keymaps in new dir /usr/share/console/lists/keymaps/.
  * Preliminary support for MIPS from Christoph Martin -12.1.1 NMU
    (Closes: #81908).
  * Now only asks questions once (Closes: #57666).
  * Reworked keymaps classification (Closes: #72564).
  * Allow not to install a new keymap (Closes: #48993).  Still misses a
    3 option which would be "use kernel default", which would remove an
    existing keymap.
  * Explicited build dependency on debhelper (Closes: #70304).
  * Added support for USB keyboard in sg* keymaps (Closes: #63463).
  * Added compose defs to it keymap (Closes: #56574).
  * Acknowledge NMU fix to powermac keymap (Closes: #62067).
  * Added rationale for the default keymap issues, into README.Debian.
  * Bumped Standards-Version to 3.2.1.
  * Forgotten fixes from potato's -11.2:
  ** Include br-latin1.kmap, required by brazilian boot-floppies (Closes:
    #63172).
  ** Added 3 missing keys to br-abnt2.kmap (same report).

 -- Yann Dirson <dirson@debian.org>  Fri, 19 Jan 2001 02:07:20 +0100

console-data (1999.08.29-12.1) unstable; urgency=low

  * NMU: Fix PowerMac 'a' key in unstable also.

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  8 Apr 2000 20:04:05 -0400

console-data (1999.08.29-12) unstable; urgency=high

  * Upload to woody (Closes: #58730) - I would have liked to fix more
    things, but potato-only upload broke things in woody.
  * Reverted -11 changes for woody.
  * If db_get returns empty, just do nothing instead of trying to invoke
    kbdconfig which may not be there.
  * config: Enabled support for arm (Closes: #56615, #56923).
  * config: Fixed and enabled support for m68k/bvme (Closes: #56213).
  * config::deconfigure() called configure() with no arg ! (Closes:
    #56413).
  * config: added a "default" tag so that "i386/qwertz" default to german
    layout, using the mechanism added by Joey.
  * config: declare the 'backup' capability even when not called with
    "configure" as arg (should be useful for X-deconfigure too).

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Feb 2000 23:17:46 +0100

console-data (1999.08.29-11) frozen; urgency=low

  * Disabled debconf support for potato only (Downgrades release-critical
    bugs #58284, #58269 and #58475).  This includes:
     - do not ship templates and config
     - do not ship postinst and prerm; noted that postinst should never
     have called kbdconfig as a fallback, BTW, since it only recommends
     packages providing it (this is a RC bug).
     - do not install TODO.Debian file, which only has debconf-related
    items.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Feb 2000 22:48:19 +0100

console-data (1999.08.29-10.1) frozen unstable; urgency=high

  * Upload of all the changes in -10 to frozen as well as unstable, since
    the changelog for that version said:
      "Previous implementation of ppc/m68k subarch detection was broken, so  
      this fixed version has to be in potato.  Also closes last important
      bugs."
  * Hacked in support for default keymaps, so the defaults are qwerty and US.
    Closes: #55045, #55782, #55827, #57113 (3 important bugs)
    This is merely a hack, console-data's (ab)use of debconf is too insane to
    be believed, and is in dire need of a redesign from scratch, IMHO.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Feb 2000 15:12:24 -0800

console-data (1999.08.29-10) unstable; urgency=high

  * Previous implementation of ppc/m68k subarch detection was broken, so
    this fixed version has to be in potato.  Also closes last important
    bugs.
  * Updated ppc subarch with a mix of Harmut's, Michael's, and my code:
  ** match amiga and atari as prefixes (Closes: #55208, #55210, #55554).
  ** look for "machine" field in /proc/cpuinfo on ppc) (Closes: #55326,
    #55537).
  * Use more efficient "match && set" instead of "regexp subst".
  * Call dpkg --print-installation-architecture instead of
    --print-architecture (Closes: #54798).
  * Added Canada/English as an alias to "us" (Closes: #55659).
  * Clear the registered keymap filename when clearing other choices.
  * Fallback to kbdconfig if debconf mechanism failed to provide a
    filename.  Such conditions include no "machine" field in /proc/cpuinfo
    on ppc, and no "Model" field in /proc/hardware on m68k.
  * Updated Cyr_a8x{8,14,16}.psf, and added koi8-r.acm from
    console-tools-cyrillic-0.6a (Downgrades: #55031).

 -- Yann Dirson <dirson@debian.org>  Fri, 21 Jan 2000 03:30:44 +0100

console-data (1999.08.29-9) unstable; urgency=medium

  * Really call the sanitize() func in config script.
  * Abstracted more config script funcs; tagged as FIXME some other things
    breaking the abstraction.
  * Strip from the DB all items with wrong number of components
    (Addresses: #50864).
  * Added debconf support for powerpc and m68k keymaps (Closes: #52200).
    Could not test very well, however - likely there is a bug in debconf
    0.2.71.
  * Display unknown layout of polish sparc kbd as ""Unknown (Poland)", not
    just "Unknown".
  * Fixed in config script some "BACK"-related stuff; not fully tested -
    looks like debconf 0.2.71 can cause go() to return non-numeric codes.

 -- Yann Dirson <dirson@debian.org>  Fri, 14 Jan 2000 01:51:35 +0100

console-data (1999.08.29-8) unstable; urgency=low

  * Abort config with an explicit error message if no keymaps were
    described for installation architecture, to prevent more obscrure
    message at a later time (Addresses: #50187);
  * Keymaps for alpha are now defined as an alias to i386.  A more
    powerful mechanism is probably needed to get m68k/ppc arches right.
  * More i386 qwerty keymaps descriptions: Russia (Closes: #50041),
    Portugal, Romania, Sweden, Slovakia, Turkey, Ukrain.
  * Slightly more code documentation in config script.
  * Added test to guard against possible comma in descriptions (got hit
    again while testing:( ).
  * Sort the entries in lexical order when building the list of choices.
  * Set all default flags if one is set, to ensure all questions are
    really asked when one needs to (Closes: #50028, #49662).
  * Added long descriptions for choices (Addresses: #49662).
  * Do not consider keymap filename when matching, when removing an
    obsolete keymap; this will make the @obsolete list smaller.
  * Reset country choice when layout is changed, and variant choice when
    country is changed (thanks Joey for signaling, related to #50285).
  * Listed lots of things in TODO.Debian.

 -- Yann Dirson <dirson@debian.org>  Fri, 19 Nov 1999 00:16:04 +0100

console-data (1999.08.29-7) unstable; urgency=low

  * Added missing "Replaces: console-tools-data" in control file (Closes:
    #49513).

 -- Yann Dirson <dirson@debian.org>  Mon,  8 Nov 1999 19:33:02 +0100

console-data (1999.08.29-6) unstable; urgency=low

  * Implemented filtering out obsoleted keymap entries.
  * More complete and accurate keymaps descriptions (Poland, Swiss,
    Greece, Israel, Hungary, Iceland, Italy, Latin America, Lithuania,
    Latvia, Macedonia, Norway).  Hope I got country names right.  Still
    misses many qwerty keymaps.  Closes: #48994.

 -- Yann Dirson <dirson@debian.org>  Sun,  7 Nov 1999 22:02:59 +0100

console-data (1999.08.29-5) unstable; urgency=high

  * Changed priority to required because required console-tools depends on
    it.
  * Only deconfigure using debconf from prerm if debconf is installed
    (Closes: #49300).
  * Added a test for empty keymap filename in postinst, with a note about
    a possible bug if it is empty (Closes: #48998).
  * Fixed inclusion tests in config script, which incorrectly interpreted
    keymap descriptions as regexps (Closes: #49224).

 -- Yann Dirson <dirson@debian.org>  Sat,  6 Nov 1999 21:00:48 +0100

console-data (1999.08.29-4) unstable; urgency=low

  * Removed workaround for debconf bug #48824.  Suggests correct version
    of debconf.
  * Suppressed ", " from keymap description, which was mistaken as a
    choice-item separator.
  * Correctly handly erroneous descriptions, instead of aborting saying
    "programming bug" (Closes: #48940, #48951, #48954, #48956, #48963,
    #48965, #48980, #48966, #49022, #49030, #49043, #49052, #49087).
  * Applied temporary hack from Fumitoshi UKAI to get the descriptions
    fixed - this prevents me from implementing the "data removal" feature
    for now.
  * Suppressed unused variables in debconf script (Closes: #49142).

 -- Yann Dirson <dirson@debian.org>  Fri,  5 Nov 1999 09:35:48 +0100

console-data (1999.08.29-3) unstable; urgency=low

  * Preliminary debconf support.  Will still go through keymap selection
    on all package upgrades.  Not all keymap described (only part of i386
    and sparc).  Still needs more info on how to handle other archs.

 -- Yann Dirson <dirson@debian.org>  Sun, 31 Oct 1999 23:18:02 +0100

console-data (1999.08.29-2) unstable; urgency=HIGH

  * Lowered relationship to kbd|consoletools from Depends to Recommends,
    as the reverse relationship had to be turned to Depends because of
    kbdconfig requirements.
  * Switched from /usr/doc to /usr/share.
  * Updated GPL location in copyright file.

 -- Yann Dirson <dirson@debian.org>  Fri, 15 Oct 1999 23:51:15 +0200

console-data (1999.08.29-1) unstable; urgency=low

  * New upstream release (Closes: #38279, #38211, #42267, #36288).
  * Renamed binary package to its upstream name, still providing
    console-tools-data for the transition phase.
  * Updated ancient copyright and README.Debian files.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Tue, 31 Aug 1999 00:34:49 +0200

console-data (1999.04.15-2) unstable; urgency=low

  * Allow (in Depends: field) to use kbd (Fixes: Bug#39015).

 -- Yann Dirson <dirson@debian.org>  Mon,  7 Jun 1999 23:07:37 +0200

console-data (1999.04.15-1) unstable; urgency=low

  * Now in a new upstream package (used to be part of console-tools).

 -- Yann Dirson <dirson@debian.org>  Thu, 15 Apr 1999 21:17:48 +0200

Local variables:
mode: debian-changelog
End:
